Application: gvSIG desktop - gvSIG bugs #440
03/15/2012 12:06 PM - G. Allegri

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Installer

Target version: 2.0.0-devel-2052

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

The installer asks for the language to use, English or Spanish.

If I choose english the installer lloks ok, but the add-ons installer (launched in a separated process and window) appears with
"translation labels" : they contain underscores and are all lower cased (see the image attached)

Also, because | have an italian locale, the buttons labels appear translated in italian (well, some captions should be translated
better...).

This all is quite confusing to the user...

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 389: Addon manager in... Closed 03/01/2012

Associated revisions

Revision 38515 - 06/25/2012 10:48 AM - Cesar Ordifana

Add a pending translation message and solve getting another one.

Refs #440.

Revision 38516 - 06/25/2012 12:25 PM - Cesar Ordifiana

Fix typo in the i18n resources folder name. This error made the package installer not to show the translated texts out of gvSIG desktop, like in the
package installer mode.

Refs #440

Revision 38517 - 06/25/2012 12:28 PM - Cesar Ordifiana

Re-added the --language parameter in installer mode, so it can be passed from the language selected by the user in the installlammer installer. Added

in linux, pending to find how to do the same with the launch4j launcher in windows.
Refs #440.

History

#1 - 05/10/2012 08:11 PM - Manuel Madrid

- Target version set to 2.0.0-rc1
#2 - 06/24/2012 09:40 PM - Joaquin del Cerro Murciano
- Assignee set to Cesar Ordifiana

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#3 - 06/25/2012 06:30 PM - Cesar Ordinana
- % Done changed from 0 to 90

#4 - 08/13/2012 10:36 AM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-devel-2050 to 1.12.0-rc1

#5 - 08/13/2012 10:45 AM - Joaquin del Cerro Murciano
- Target version changed from 1.12.0-rc1 to 2.0.0-rc1

#6 - 08/29/2012 12:52 PM - Juan Lucas Dominguez
- Assignee changed from Cesar Ordifana to Juan Lucas Dominguez

#7 - 08/29/2012 03:45 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052
- % Done changed from 90 to 100

Solved by adding --language=<...>
in installjammer settings (in call to gvsig-package-installer.exe)

#8 - 08/30/2012 09:24 AM - Juan Lucas Dominguez

gvsig-desktop:r38800

Added -- in language parameter.

#9 - 09/11/2012 10:18 AM - Maria Maluenda

- Status changed from Fixed to Closed

Closed in the gvSIG build 2052
